{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to retrieve a paginated list of all domains you have authenticated.**\n\nYou can use the `limit` query parameter to set the page size. If your list contains more items than the page size permits, you can make multiple requests. Use the `offset` query parameter to control the position in the list from which to start retrieving additional items.","properties":{"query":{"type":"object","properties":{"limit":{"type":"integer","description":"`limit` sets the page size, i.e. maximum number of items from the list to be returned for a single API request. If omitted, the default page size is used."},"offset":{"type":"integer","minimum":0,"default":0,"description":"The number of items in the list to skip over before starting to retrieve the items for the requested page. The default `offset` of `0` represents the beginning of the list, i.e. the start of the first page. To request the second page of the list, set the `offset` to the page size as determined by `limit`. Use multiples of the page size as your `offset` to request further consecutive pages. E.g. assume your page size is set to `10`. An `offset` of `10` requests the second page, an `offset` of `20` requests the third page and so on, provided there are sufficiently many items in your list."},"exclude_subusers":{"type":"boolean","description":"Exclude subuser domains from the result."},"username":{"type":"string","description":"The username associated with an authenticated domain."},"domain":{"type":"string","description":"Search for authenticated domains."}},"required":[],"additionalProperties":false},"headers":{"type":"object","properties":{"on-behalf-of":{"type":"string","description":"The `on-behalf-of` header allows you to make API calls from a parent account on behalf of the parent's Subusers or customer accounts. You will use the parent account's API key when using this header. When making a call on behalf of a customer account, the property value should be \"account-id\" followed by the customer account's ID (e.g., `on-behalf-of: account-id <account-id>`). When making a call on behalf of a Subuser, the property value should be the Subuser's username (e.g., `on-behalf-of: <subuser-username>`). See [**On Behalf Of**](https://docs.sendgrid.com/api-reference/how-to-use-the-sendgrid-v3-api/on-behalf-of) for more information."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"List all authenticated domains","id":"sendgrid.domain_authentication.listauthenticateddomain","example":{},"maxRequests":1,"summary":false}}